<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/common.js");
    loadJS(requireJS, "js/views/balances.js");

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-money"></i> Balances clientes
                </div>
                <div class="card-block">

                    <div class="input-group form-inline">

                        <span class="input-group">
                            <span class="input-group-addon"><i class="fa fa-user"></i></span>
                            <span class="filter-clear fa fa-remove"></span>
                            <input th:value="${client}" type="text" name="client" id="client" placeholder="Cliente">                                
                        </span>
                        &nbsp;                        

                        <span class="input-group">
                            <span class="input-group-addon"><i class="fa fa-phone-square"></i></span>
                            <span class="filter-clear fa fa-remove"></span>
                            <input th:value="${line}" type="text" name="line" id="line" placeholder="Linea">
                        </span>
                        &nbsp;                        

                        <div class="input-group">
                            <span class="input-group-addon" title="Mes"><i class="fa fa-calendar"></i></span>
                            <select id="month" name="month">
                                <option value="" th:selected="${month == null}">Todos</option>
                                <option value="1" th:selected="${month != null && month == '1'}">Enero</option>
                                <option value="2" th:selected="${month != null && month == '2'}">Febrero</option>
                                <option value="3" th:selected="${month != null && month == '3'}">Marzo</option>
                                <option value="4" th:selected="${month != null && month == '4'}">Abril</option>
                                <option value="5" th:selected="${month != null && month == '5'}">Mayo</option>
                                <option value="6" th:selected="${month != null && month == '6'}">Junio</option>
                                <option value="7" th:selected="${month != null && month == '7'}">Julio</option>
                                <option value="8" th:selected="${month != null && month == '8'}">Agosto</option>
                                <option value="9" th:selected="${month != null && month == '9'}">Septiembre</option>
                                <option value="10" th:selected="${month != null && month == '10'}">Octubre</option>
                                <option value="11" th:selected="${month != null && month == '11'}">Noviembre</option>
                                <option value="12" th:selected="${month != null && month == '12'}">Diciembre</option>                                
                            </select>
                        </div>
                        &nbsp;
                        <div class="input-group">
                            <span class="input-group-addon" title="Año"><i class="fa fa-calendar"></i></span>
                            <select id="year" name="year">
                                <option value="" th:selected="${year == null}">Todos</option>
                                <option value="2017" th:selected="${year != null && year == '2017'}">2017</option>
                                <option value="2018" th:selected="${year != null && year == '2018'}">2018</option> 
                                <option value="2019" th:selected="${year != null && year == '2019'}">2019</option>                                
                                <option value="2020" th:selected="${year != null && year == '2020'}">2020</option>
                            </select>
                        </div>
                        &nbsp;
                        <span class="input-group-btn">
                            <button id="search-button" type="button" class="btn btn-primary"><i class="fa fa-search"></i> Buscar</button>
                        </span>
                    </div>
                    <br>


                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr class="text-center">
                                <th>#</th>
                                <th>Cliente</th>
                                <th>Linea</th>
                                <th>Monto</th>
                                <th>Descripcion</th>
                                <th>Tipo</th>
                                <th>Fecha</th>
                                <th>Mes</th>
                                <th>Año</th>
                                <th>Observaciones</th>
                                <th>Control</th>
                                <th>Método Pago</th>
                                <th>Referencia Pago</th>
                            </tr>
                        </thead>    
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td th:text="${item.id}"></td>
                                <td th:text="${item.clientId}"></td>
                                <td th:text="${item.lineId}"></td>
                                <td th:text="${item.amount}"></td>
                                <td th:text="${item.description}"></td>
                                <td th:text="${item.type}"></td>
                                <td th:text="${#dates.format(item.date, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.month}"></td>
                                <td th:text="${item.year}"></td>
                                <td class="text">                                    
                                    <a href="#" data-toggle="tooltip" th:title="${item.observation}">
                                        <span th:text="${item.observation}"></span>
                                    </a>
                                </td>
                                <td th:text="${item.control}"></td>                                
                                <td th:text="${item.paymentMethod}"></td>
                                <td th:text="${item.paymentRef}"></td>
                            </tr>
                        </tbody>
                    </table>                        

                    <div th:replace="fragments/pagination :: paginationbar"></div>

                    <div class="row">
                        <div class="col-6">
                            <div class="card">
                                <div class="card-block p-3 clearfix">
                                    <i class="fa fa-money bg-info p-3 font-2xl mr-3 float-left"></i>
                                    <div class="h5 text-info mb-0 mt-2" th:text="${total.getTotalText()}">$1.999,50</div>
                                    <div class="text-muted text-uppercase font-weight-bold font-xs">Costo</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="card">
                                <div class="card-block p-3 clearfix">
                                    <i class="fa fa-database bg-info p-3 font-2xl mr-3 float-left"></i>
                                    <div class="h5 text-info mb-0 mt-2" th:text="${total.records}">$1.999,50</div>
                                    <div class="text-muted text-uppercase font-weight-bold font-xs">Registros</div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>



